View Issue Details

IDProjectCategoryView StatusLast Update
0000021FreeCADFeaturepublic2011-01-06 21:24
ReporterJriegelAssigned ToJriegel 
PriorityhighSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version0.11Fixed in Version0.11 
Summary0000021: Reimplementation of Sketch solver
DescriptionThe Sketchflat solver has serios drawbacks.
* no multi instance
* GPL 3 license
* no support

There fore a re implement as LGPL based on the paper:
http://www.cq.cx/dl/sketchflat-internals.pdf
TagsNo tags attached.
FreeCAD Information

Relationships

child of 0000014 closedJriegel Sketch object 
child of 0000119 closedJriegel PartDesign 

Activities

Jriegel

2011-01-06 21:18

administrator   ~0000484

The new solver is in Place thought not all elements usable

Issue History

Date Modified Username Field Change
2009-09-28 15:53 Jriegel New Issue
2009-09-28 15:55 Jriegel Relationship added child of 0000014
2009-09-28 16:08 Jriegel Status new => assigned
2009-09-28 16:08 Jriegel Assigned To => Jriegel
2010-03-16 14:29 Jriegel Target Version => 0.10
2010-06-29 13:53 Jriegel Priority normal => high
2010-06-29 13:53 Jriegel Projection none => redesign
2010-06-29 13:53 Jriegel ETA none => < 1 month
2010-06-29 13:53 Jriegel Target Version 0.10 => 0.11
2010-06-30 07:18 Jriegel Relationship added child of 0000119
2011-01-06 21:18 Jriegel Note Added: 0000484
2011-01-06 21:18 Jriegel Status assigned => closed
2011-01-06 21:18 Jriegel Resolution open => fixed
2011-01-06 21:24 Jriegel Fixed in Version => 0.11